Bug 1010820 - [fork][origin_ui_80] rhc account display wrong Domains Allowed number "1" for silver who can create more than one domain
[fork][origin_ui_80] rhc account display wrong Domains Allowed number "1" for...
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-09-23 02:47 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-17 09:30:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-09-23 02:47:16 EDT
Description of problem:
After set max_domain_per_user>1(like 5) on the instance and restart broker service, then upgrade the user, run `rhc account` will display : " Domains Allowed : 1", but GET /broker/rest/user display {"max_domains":5}, and silver user can create multiple domains via client

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set max_domain_per_user>1 (like 5) and restart broker service
2.upgrade user to silver
3.check "Domains Allowed" via `rhc account`

Actual results:
#rhc account
Login wjiang+904@redhat.com on ec2-204-236-250-26.compute-1.amazonaws.com
  ID:                 523fce316311e7ca7d000005
  Plan:               Silver
  Gears Used:         1
  Gears Allowed:      16
  Domains Allowed:    1
  Allowed Gear Sizes: small, medium
  SSL Certificates:   yes

Expected results:
It should not be "1"

Additional info:
Comment 1 Clayton Coleman 2013-09-23 18:15:49 EDT
Fixed in 1af5a23, will be in next fork ami
Comment 2 weiwei jiang 2013-09-26 03:30:54 EDT
Tested on fork_ami_origin_ui_72_membership_863 via rhc build from it, and found this issue is fixed, so verify this issue, thx

# rhc account 
Login wjiang+926@redhat.com on localhost
  ID:                 5243e15d1df48bec72000193
  Plan:               Silver
  Gears Used:         0
  Gears Allowed:      16
  Domains Allowed:    16
  Allowed Gear Sizes: small, medium
  SSL Certificates:   yes

Note You need to log in before you can comment on or make changes to this bug.